> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/56.-carica-foto.md).

# 56. Carica foto

Caricare una foto tramite S3 contiene 2 passaggi:

1. **Richiedere il link pre-firmato per il caricamento diretto successivo.**&#x20;

Come input:&#x20;

* fileExtention - jpeg OR jpg OR png,&#x20;
* farmUuid - uuid della azienda agricola,
* fieldUuid - uuid del campo,
* noteUuid - uuid della nota per il link diretto della foto caricata,
* commentUuid - uuid del commento per il link diretto della foto caricata (opzionale).&#x20;

Come output:

* uuid - l'uuid previsto dopo il caricamento e l'elaborazione,
* farmUuid - lo stesso dell'input,
* fieldUuid - lo stesso dell'input,
* noteUuid - lo stesso dell'input,
* commentUuid - lo stesso dell'input (se esisteva),
* s3Url - l'URL usato per caricare la foto,
* s3Fields - attributi da inserire nel form di caricamento della foto.

I dettagli su come usare s3Url e s3Fields sono descritti nel secondo passaggio.&#x20;

Gli attributi sono validi solo per 60 minuti per caricare la foto.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation generatePresignedPostPhotoData {
  generatePresignedPostPhotoData(input:{
    farmUuid: "89196056-61e5-4bce-b676-d488d611a829" 
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016"
    noteUuid: "4a94da1c-f655-4f17-961a-4b0323e5129c"
    fileExtention: jpeg
    
  } ) {
    uuid
    noteUuid
    fieldUuid
    farmUuid
    s3Url
    s3Fields
  }
}
```

{% endcode %}

2. **Inviare una foto locale a s3Url con gli attributi del form predefiniti da s3Fields.**

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Le notifiche sull'elaborazione saranno consegnate tramite il meccanismo di subscription descritto in GraphQL -> Samples -> [1. Sottoscrizione: Ricevere eventi](/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/1.-sottoscrizione-ottieni-eventi.md).

{% hint style="info" %}
Usare ‘Accept-Encoding’:’gzip, deflate, br’.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/56.-carica-foto.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
